//
//  ViewController.m
//  RAFTest
//
//  Created by lotco on 2016. 1. 18..
//  Copyright © 2016년 lotco. All rights reserved.
//

#import "ViewController.h"
#import <AFNetworking/AFNetworking.h>
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];

    /*
     네트워크 세션 메니져를 초기화해준다 해당 메니져로 동시에 최대 몇개의 리퀘스트를 처리할지나 n초 이상 리스폰스가 오지않으면 실패처리등을 설정해서 관리 할 수 있다.
     받을 리스폰스 값이 json 형식이여서 메니져에다가 json이라고 미리 셋팅을 해준다
     */
    AFHTTPSessionManager *manager = [AFHTTPSessionManager manager];
    manager.responseSerializer = [AFJSONResponseSerializer serializer];
    
    /*
     요청할 url
     */
    NSString *url = @"http://api.openweathermap.org/data/2.5/forecast";
    
    
    /*
     메니져를 통해 리퀘스트를 날릴 url과 쿼리를 설정한다.
     */
    [manager GET:url
      parameters:@{@"q":@"Seoul",
                   @"appid":@"2de143494c0b295cca9337e1e96b00e0"}
        progress:nil
         success:^(NSURLSessionTask *task, id responseObject) {
             NSLog(@"%@", responseObject);
         } failure:^(NSURLSessionTask *operation, NSError *error) {
             NSLog(@"%@", error);
     }];

}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
